//
//  NSString-NirAdditionsTest.m
//  Hebrew Service
//
//  Created by Nir on 22/1/2006.
//

#import "NSString-NirAdditionsTest.h"
#import "NSString-NirAdditions.h"

// TODO: stringWithContentsOfFile:encoding: tests

@implementation NSString_NirAdditionsTest

- (void)setUp
{
    expected = (@"line line\n"
                @"line\n");
}

- (void)testUnwrapLines
{
    NSString *test = [NSString stringWithString:(@"line\n"
                                                 @"line\n"
                                                 @"\n"
                                                 @"line\n")];
    [self assert:[test stringByUnwrappingLines] 
          equals:expected];
}

- (void)testUnwrapLinesMultipleSeparators
{
    NSString *test = [NSString stringWithString:(@"line\n"
                                                 @"line\n"
                                                 @"\n"
                                                 @"\n"
                                                 @"line\n")];
    [self assert:[test stringByUnwrappingLines] 
          equals:expected];
}

- (void)testUnwrapLinesSeparatorsWithWhitespace
{
    NSString *test = [NSString stringWithString:(@"line\n"
                                                 @"line\n"
                                                 @"          \n"
                                                 @"line\n")];
    [self assert:[test stringByUnwrappingLines] 
          equals:expected];
}

@end
