#import <Foundation/Foundation.h>
#import "NSString-FriBidiAdditions.h"
#import <sys/time.h>


int main (int argc, const char *argv[])
{
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
    long passes = 10000;
    
    if (argc > 1)
        passes = atoi(argv[1]);

    // Create 50 lines text
    NSString *line = [NSString stringWithUTF8String:
        "Hello - שלום, hello - שלום, hello - שלום, hello - שלום, "
        "hello - שלום.\n"];
    NSString *text = [@"" stringByPaddingToLength:[line length] * 50
                                       withString:line
                                  startingAtIndex:0];
    
    int i;
    struct timeval start, end;
    
    gettimeofday(&start, NULL);
    
    for (i = 0; i < passes; i++) {
        NSAutoreleasePool *testPool = [[NSAutoreleasePool alloc] init];
        [text stringByOrderingLinesVisuallyUsingDirection:FRIBIDI_TYPE_RTL];
        [testPool release]; 
    }
    
    gettimeofday(&end, NULL);
    
    long usec = ((1000000 * end.tv_sec + end.tv_usec) - 
                 (1000000 * start.tv_sec + start.tv_usec));

    printf("%ld passes in %.2f seconds (%.2f usec/pass)\n", passes, 
           usec / 1000000.0, usec / (float)passes);
    
    [pool release];    
    exit(0);
    return 0;
}
